summaryrefslogtreecommitdiff
path: root/dev-python/pyusb
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-27 18:53:03 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-27 18:53:03 +0000
commit3482ddf943eff7b8848f1fb31350b99ce349e86a (patch)
tree9c9bb6ec6679e9dc44a84d87ba611989409b12ca /dev-python/pyusb
parent8e8120eabdd28020aa69c7a60505cce2edd20adc (diff)
downloadbaldeagleos-repo-21.1.3.tar.gz
baldeagleos-repo-21.1.3.tar.xz
baldeagleos-repo-21.1.3.zip
Updating liguros repov21.1.3
Diffstat (limited to 'dev-python/pyusb')
-rw-r--r--dev-python/pyusb/Manifest1
-rw-r--r--dev-python/pyusb/pyusb-1.1.1.ebuild28
2 files changed, 29 insertions, 0 deletions
diff --git a/dev-python/pyusb/Manifest b/dev-python/pyusb/Manifest
index e2c488bba2b9..412b55c67a9a 100644
--- a/dev-python/pyusb/Manifest
+++ b/dev-python/pyusb/Manifest
@@ -1 +1,2 @@
DIST pyusb-1.1.0.tar.gz 78752 BLAKE2B ee541afedca7d5dca345c6addee2702ccb7408bb9a2d8b23fe1eb47f067a93309599894e364c0bdcef3e5348bd13cc39f240257efd4664679017f61b87853217 SHA512 0769670e6ebd8b31f2494258eca5d6e470ad3cb17663cc14b8b3a8136ea24caa23f86d81c60c501b88a9bc94b0de6a45aac43c6c5f140e65fd03a589b4d18179
+DIST pyusb-1.1.1.tar.gz 74746 BLAKE2B 795acafae3193e1a415baeb634554c8fdec3f4baa45a61a3eac9e1af4a84634cc540d421b7d8ad20142912fbef6ba53684e2e5b008e48f3e89406a493918ab20 SHA512 19aa82dcb9421d536063a975414855d1474f44b33dc4039e9a001be795061dbd60ed576acb605ae6bab7a0fe10834e5507408757546c7edcd50b43687a65a287
diff --git a/dev-python/pyusb/pyusb-1.1.1.ebuild b/dev-python/pyusb/pyusb-1.1.1.ebuild
new file mode 100644
index 000000000000..58e53304eb1f
--- /dev/null
+++ b/dev-python/pyusb/pyusb-1.1.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+
+inherit distutils-r1
+
+DESCRIPTION="USB support for Python"
+HOMEPAGE="https://pyusb.github.io/pyusb/ https://pypi.org/project/pyusb/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+
+### This version is compatible with both 0.X and 1.X versions of libusb
+DEPEND="virtual/libusb:="
+RDEPEND="${DEPEND}"
+
+DOCS=( README.rst docs/tutorial.rst )
+
+python_test() {
+ cd tests || die
+ "${EPYTHON}" testall.py || die "Tests failed with ${EPYTHON}"
+}